diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index 68909fd8..6c382854 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -416,6 +416,7 @@ define('pgadmin.node.role', [
           deps: ['rolcanlogin'],
           placeholder: gettext('No Expiry'),
           helpMessage: gettext('Please note that if you leave this field blank, then password will never expire.'),
+          setMinDate: false,
         },{
           id: 'rolconnlimit',  type: 'int', group: gettext('Definition'),
           label: gettext('Connection limit'), cell: 'integer', min : -1,
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 24295c74..3686ffe5 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2820,6 +2820,7 @@ define([
         placeholder: 'YYYY-MM-DD HH:mm:ss Z',
         extraClasses: [],
         helpMessage: null,
+        setMinDate: true,
       },
       events: {
         'blur input': 'onChange',
@@ -3008,6 +3009,18 @@ define([
             data.value = null;
           }
 
+          var dateSettings = {};
+          if (!data.setMinDate) {
+            dateSettings = {
+              'date': data.value,
+            };
+          } else {
+            dateSettings = {
+              'date': data.value,
+              'minDate': data.value,
+            };
+          }
+
           this.$el.find('input').first().datetimepicker(
             _.extend({
               keyBinds: {
@@ -3044,10 +3057,7 @@ define([
                   }
                 },
               },
-            }, this.defaults.options, this.field.get('options'), {
-              'date': data.value,
-              'minDate': data.value,
-            })
+            }, this.defaults.options, this.field.get('options'), dateSettings)
           );
         }
         this.updateInvalid();
